Package com.treemap

# Class DefaultTreeMapFieldSettings<Color,Font>

java.lang.Object
com.treemap.AbstractTreeMapFieldSettings<Color,Font>
com.treemap.DefaultTreeMapFieldSettings<Color,Font>

All Implemented Interfaces:
  `TreeMapFieldSettings<Color,Font>`

public class DefaultTreeMapFieldSettings<Color,Font> extends AbstractTreeMapFieldSettings<Color,Font>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.treemap.TreeMapFieldSettings

  `TreeMapFieldSettings.PropertyType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected MutableProperty<Aggregation>`
  `_aggregation`
  `protected MutableProperty<Algorithm>`
  `_algorithm`
  `protected MutableProperty<Double>`
  `_borderThickness`
  `protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `_headerBackground`
  `protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `_headerEffectColor`
  `protected MutableProperty<com.macrofocus.igraphics.CPFont<Font>>`
  `_headerFont`
  `protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `_headerForeground`
  `protected MutableProperty<Labeling>`
  `_labeling`
  `protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `_labelingBackground`
  `protected MutableProperty<com.macrofocus.igraphics.CPFont<Font>>`
  `_labelingFont`
  `protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `_labelingForeground`
  `protected MutableProperty<Nesting>`
  `_nesting`
  `protected MutableProperty<Ordering>`
  `_ordering`
  `protected MutableProperty<Scale>`
  `_scale`
  `protected final MutableSingleSelection<Algorithm>`
  `algorithm`
  `protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `borderColor`
  `protected final MutableBoundedInterval`
  `borderThickness`
  `protected MutableProperty<com.macrofocus.colormap.MutableColorMap>`
  `colorMap`
  `protected MutableProperty<com.macrofocus.format.CPFormat>`
  `format`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Effect>`
  `headerEffect`
  `protected MutableProperty<Float>`
  `headerEffectOpacity`
  `MutableProperty<Integer>`
  `headerHorizontalAlignment`
  `protected MutableProperty<com.macrofocus.igraphics.Insets>`
  `headerInsets`
  `protected MutableProperty<Integer>`
  `headerMinimumCharactersToDisplay`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering>`
  `headerRendering`
  `MutableProperty<Integer>`
  `headerVerticalAlignment`
  `protected MutableProperty<com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement>`
  `labelingContrastEnhancement`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Effect>`
  `labelingEffect`
  `protected MutableProperty<Float>`
  `labelingEffectOpacity`
  `protected MutableProperty<Boolean>`
  `labelingFloat`
  `MutableProperty<Integer>`
  `labelingHorizontalAlignment`
  `protected MutableProperty<Integer>`
  `labelingMinimumCharactersToDisplay`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering>`
  `labelingRendering`
  `protected MutableProperty<Boolean>`
  `labelingResizeTextToFitShape`
  `protected MutableProperty<Boolean>`
  `labelingShrinkTextToFitShape`
  `MutableProperty<Integer>`
  `labelingVerticalAlignment`
  `protected MutableProperty<Double>`
  `nestingAmount`
  `protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `nestingBackground`
  `protected MutableProperty<Ordering.SortOrder>`
  `orderingDirection`
  `protected MutableProperty<Integer>`
  `orderingHorizontalVanishingPoint`
  `protected MutableProperty<Integer>`
  `orderingVerticalVanishingPoint`
  `protected MutableProperty<com.macrofocus.igraphics.CPFont<Font>>`
  `tooltipFont`
  `protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `tooltipForeground`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering>`
  `tooltipRendering`
  `protected MutableProperty<Boolean>`
  `tooltipShowLabel`

  ### Fields inherited from interface com.treemap.TreeMapFieldSettings

  `PROPERTY_AGGREGATION, PROPERTY_ALGORITHM, PROPERTY_BORDER_COLOR, PROPERTY_BORDER_THICKNESS, PROPERTY_COLORMAP, PROPERTY_FORMAT, PROPERTY_HEADER_BACKGROUND, PROPERTY_HEADER_EFFECT, PROPERTY_HEADER_EFFECT_COLOR, PROPERTY_HEADER_EFFECTOPACITY, PROPERTY_HEADER_FONT, PROPERTY_HEADER_FOREGROUND, PROPERTY_HEADER_HORIZONTALALIGNMENT, PROPERTY_HEADER_INSETS, PROPERTY_HEADER_MINIMUMCHARACTERSTODISPLAY, PROPERTY_HEADER_RENDERING, PROPERTY_HEADER_VERTICALALIGNMENT, PROPERTY_LABELING, PROPERTY_LABELING_CONTRASTENHANCEMENT, PROPERTY_LABELING_EFFECT, PROPERTY_LABELING_EFFECT_COLOR, PROPERTY_LABELING_EFFECTOPACITY, PROPERTY_LABELING_FLOAT, PROPERTY_LABELING_FONT, PROPERTY_LABELING_FOREGROUND, PROPERTY_LABELING_HORIZONTALALIGNMENT, PROPERTY_LABELING_MINIMUMCHARACTERSTODISPLAY, PROPERTY_LABELING_RENDERING, PROPERTY_LABELING_RESIZETEXTTOFITSHAPE, PROPERTY_LABELING_SHRINKTEXTTOFITSHAPE, PROPERTY_LABELING_VERTICALALIGNMENT, PROPERTY_NESTING, PROPERTY_NESTING_AMOUNT, PROPERTY_NESTING_BACKGROUND, PROPERTY_ORDERING, PROPERTY_ORDERING_DIRECTION, PROPERTY_ORDERING_HORIZONTALVANISHINGPOINT, PROPERTY_ORDERING_VERTICALVANISHINGPOINT, PROPERTY_OVERRIDE_DEFAULTS, PROPERTY_SCALE, PROPERTY_TOOLTIP_FONT, PROPERTY_TOOLTIP_FOREGROUND, PROPERTY_TOOLTIP_RENDERING, PROPERTY_TOOLTIP_SHOWLABEL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultTreeMapFieldSettings(com.macrofocus.igraphics.CPColorFactory<Color> colorFactory, com.macrofocus.igraphics.CPFontFactory<Font> fontFactory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected com.macrofocus.colormap.MutableColorMap`
  `createDefaultColorMap(TreeMapField field)`
  `Aggregation`
  `getAggregation()`
  Returns the aggregation scheme to use to aggregate values of the treemap.
  `MutableProperty<Aggregation>`
  `getAggregationProperty()`
  Returns the aggregation scheme to use to aggregate values of the treemap.
  `Algorithm`
  `getAlgorithm()`
  Returns the algorithm to use to lay out the treemap.
  `MutableProperty<Algorithm>`
  `getAlgorithmProperty()`
  Returns the algorithm to use to lay out the treemap.
  `MutableSingleSelection<Algorithm>`
  `getAlgorithmSelection()`
  `com.macrofocus.igraphics.CPColor<Color>`
  `getBorderColor()`
  Returns the color to use for drawing the borders.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getBorderColorProperty()`
  Returns the color to use for drawing the borders.
  `double`
  `getBorderThickness()`
  Returns the thickness used for drawing the borders.
  `MutableBoundedInterval`
  `getBorderThicknessInterval()`
  Returns the thickness used for drawing the borders.
  `com.macrofocus.colormap.MutableColorMap`
  `getColorMap()`
  Gets the color map for the specified column.
  `MutableProperty<com.macrofocus.colormap.MutableColorMap>`
  `getColorMapProperty()`
  Gets the color map for the specified column.
  `static <Font> com.macrofocus.igraphics.CPFont<Font>`
  `getDefaultHeaderFont(com.macrofocus.igraphics.CPFontFactory<Font> fontFactory)`
  `static <Font> com.macrofocus.igraphics.CPFont<Font>`
  `getDefaultLabelingFont(com.macrofocus.igraphics.CPFontFactory<Font> fontFactory)`
  `static <Font> com.macrofocus.igraphics.CPFont<Font>`
  `getDefaultTooltipFont(com.macrofocus.igraphics.CPFontFactory<Font> fontFactory)`
  `com.macrofocus.format.CPFormat`
  `getFormat()`
  Gets the format used to display values of the specified column.
  `MutableProperty<com.macrofocus.format.CPFormat>`
  `getFormatProperty()`
  Gets the format used to display values of the specified column.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getHeaderBackground()`
  Returns the background color to use for drawing the headers.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getHeaderBackgroundProperty()`
  Returns the background color to use for drawing the headers.
  `com.macrofocus.labeling.EnhancedLabel.Effect`
  `getHeaderEffect()`
  `com.macrofocus.igraphics.CPColor<Color>`
  `getHeaderEffectColor()`
  Returns the effect color to use for drawing the headers.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getHeaderEffectColorProperty()`
  Returns the effect color to use for drawing the headers.
  `Float`
  `getHeaderEffectOpacity()`
  `MutableProperty<Float>`
  `getHeaderEffectOpacityProperty()`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Effect>`
  `getHeaderEffectProperty()`
  `com.macrofocus.igraphics.CPFont<Font>`
  `getHeaderFont()`
  Returns the font used for labeling the headings.
  `MutableProperty<com.macrofocus.igraphics.CPFont<Font>>`
  `getHeaderFontProperty()`
  Returns the font used for labeling the headings.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getHeaderForeground()`
  Returns the foreground color to use for drawing the headers.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getHeaderForegroundProperty()`
  Returns the foreground color to use for drawing the headers.
  `Integer`
  `getHeaderHorizontalAlignment()`
  `MutableProperty<Integer>`
  `getHeaderHorizontalAlignmentProperty()`
  `com.macrofocus.igraphics.Insets`
  `getHeaderInsets()`
  `MutableProperty<com.macrofocus.igraphics.Insets>`
  `getHeaderInsetsProperty()`
  `Integer`
  `getHeaderMinimumCharactersToDisplay()`
  `MutableProperty<Integer>`
  `getHeaderMinimumCharactersToDisplayProperty()`
  `com.macrofocus.labeling.EnhancedLabel.Rendering`
  `getHeaderRendering()`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering>`
  `getHeaderRenderingProperty()`
  `Integer`
  `getHeaderVerticalAlignment()`
  `MutableProperty<Integer>`
  `getHeaderVerticalAlignmentProperty()`
  `Labeling`
  `getLabeling()`
  Returns the labeling scheme to use to draw the treemap.
  `com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement`
  `getLabelingContrastEnhancement()`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement>`
  `getLabelingContrastEnhancementProperty()`
  `com.macrofocus.labeling.EnhancedLabel.Effect`
  `getLabelingEffect()`
  `com.macrofocus.igraphics.CPColor<Color>`
  `getLabelingEffectColor()`
  Returns the effect color to use for drawing the labels.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getLabelingEffectColorProperty()`
  Returns the effect color to use for drawing the labels.
  `Float`
  `getLabelingEffectOpacity()`
  `MutableProperty<Float>`
  `getLabelingEffectOpacityProperty()`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Effect>`
  `getLabelingEffectProperty()`
  `Boolean`
  `getLabelingFloat()`
  `MutableProperty<Boolean>`
  `getLabelingFloatProperty()`
  `com.macrofocus.igraphics.CPFont<Font>`
  `getLabelingFont()`
  Returns the font used for labeling.
  `MutableProperty<com.macrofocus.igraphics.CPFont<Font>>`
  `getLabelingFontProperty()`
  Returns the font used for labeling.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getLabelingForeground()`
  Returns the foreground color to use for drawing the labels.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getLabelingForegroundProperty()`
  Returns the foreground color to use for drawing the labels.
  `int`
  `getLabelingHorizontalAlignment()`
  `MutableProperty<Integer>`
  `getLabelingHorizontalAlignmentProperty()`
  `Integer`
  `getLabelingMinimumCharactersToDisplay()`
  `MutableProperty<Integer>`
  `getLabelingMinimumCharactersToDisplayProperty()`
  `MutableProperty<Labeling>`
  `getLabelingProperty()`
  Returns the labeling scheme to use to draw the treemap.
  `com.macrofocus.labeling.EnhancedLabel.Rendering`
  `getLabelingRendering()`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering>`
  `getLabelingRenderingProperty()`
  `Boolean`
  `getLabelingResizeTextToFitShape()`
  `MutableProperty<Boolean>`
  `getLabelingResizeTextToFitShapeProperty()`
  `Boolean`
  `getLabelingShrinkTextToFitShape()`
  `MutableProperty<Boolean>`
  `getLabelingShrinkTextToFitShapeProperty()`
  `int`
  `getLabelingVerticalAlignment()`
  `MutableProperty<Integer>`
  `getLabelingVerticalAlignmentProperty()`
  `Nesting`
  `getNesting()`
  Returns the nesting to use to lay out the treemap.
  `Double`
  `getNestingAmount()`
  Returns the size of the nested areas.
  `MutableProperty<Double>`
  `getNestingAmountProperty()`
  Returns the size of the nested areas.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getNestingBackground()`
  Returns the background color to use for drawing the nested areas.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getNestingBackgroundProperty()`
  Returns the background color to use for drawing the nested areas.
  `MutableProperty<Nesting>`
  `getNestingProperty()`
  Returns the nesting to use to lay out the treemap.
  `Ordering`
  `getOrdering()`
  Returns the ordering to use to lay out the treemap.
  `Ordering.SortOrder`
  `getOrderingDirection()`
  Returns the ordering direction to use to lay out the treemap.
  `MutableProperty<Ordering.SortOrder>`
  `getOrderingDirectionProperty()`
  Returns the ordering direction to use to lay out the treemap.
  `Integer`
  `getOrderingHorizontalVanishingPoint()`
  `MutableProperty<Integer>`
  `getOrderingHorizontalVanishingPointProperty()`
  `MutableProperty<Ordering>`
  `getOrderingProperty()`
  Returns the ordering to use to lay out the treemap.
  `Integer`
  `getOrderingVerticalVanishingPoint()`
  `MutableProperty<Integer>`
  `getOrderingVerticalVanishingPointProperty()`
  `MutableProperty<Boolean>`
  `getOverrideDefaultsProperty()`
  `EnumProperties<TreeMapFieldSettings.PropertyType>`
  `getProperties()`
  `Object`
  `getProperty(TreeMapFieldSettings.PropertyType key)`
  Gets the value of the specified property.
  `Object`
  `getPropertyOverride(TreeMapFieldSettings.PropertyType key)`
  Gets the value of the specified property.
  `Scale`
  `getScale()`
  Returns the scaling scheme to use to project values the treemap.
  `MutableProperty<Scale>`
  `getScaleProperty()`
  Returns the scaling scheme to use to project values the treemap.
  `boolean`
  `getShowLabel()`
  Tells whether the label of the specified field should be shown in the popup.
  `MutableProperty<Boolean>`
  `getShowLabelProperty()`
  Tells whether the label of the specified field should be shown in the popup.
  `com.macrofocus.igraphics.CPFont<Font>`
  `getTooltipFont()`
  Returns the font used for labeling the tooltips.
  `MutableProperty<com.macrofocus.igraphics.CPFont<Font>>`
  `getTooltipFontProperty()`
  Returns the font used for labeling the tooltips.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getTooltipForeground()`
  Returns the foreground color to use for drawing the tooltips.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getTooltipForegroundProperty()`
  Returns the foreground color to use for drawing the tooltips.
  `com.macrofocus.labeling.EnhancedLabel.Rendering`
  `getTooltipRendering()`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering>`
  `getTooltipRenderingProperty()`
  `boolean`
  `isDefaults()`
  Gets whether the default settings can be overridden by these settings
  `boolean`
  `isOverrideDefaults()`
  Gets whether the default settings are overridden by these settings
  `void`
  `reset()`
  `void`
  `setAggregation(Aggregation aggregation)`
  Defines the aggregation scheme to use to aggregate values of the treemap.
  `void`
  `setAlgorithm(Algorithm algorithm)`
  Defines the algorithm to use to lay out the treemap.
  `void`
  `setBorderColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the color to use for drawing the borders.
  `void`
  `setBorderThickness(double value)`
  Sets the thickness used for drawing the borders.
  `void`
  `setColorMap(com.macrofocus.colormap.MutableColorMap colorMap)`
  Sets the color map to use for the specified column.
  `void`
  `setFormat(com.macrofocus.format.CPFormat format)`
  Sets the format used to display values of the specified column.
  `void`
  `setHeaderBackground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the background color to use for drawing the headers.
  `void`
  `setHeaderEffect(com.macrofocus.labeling.EnhancedLabel.Effect effect)`
  `void`
  `setHeaderEffectColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the background color to use for drawing the headers.
  `void`
  `setHeaderEffectOpacity(Float opacity)`
  `void`
  `setHeaderFont(com.macrofocus.igraphics.CPFont<Font> font)`
  Sets the font used for labeling the headings.
  `void`
  `setHeaderForeground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the foreground color to use for drawing the headers.
  `void`
  `setHeaderHorizontalAlignment(Integer alignment)`
  `void`
  `setHeaderInsets(com.macrofocus.igraphics.Insets insets)`
  `void`
  `setHeaderMinimumCharactersToDisplay(Integer minimumCharactersToDisplay)`
  `void`
  `setHeaderRendering(com.macrofocus.labeling.EnhancedLabel.Rendering rendering)`
  `void`
  `setHeaderVerticalAlignment(Integer alignment)`
  `void`
  `setLabeling(Labeling labeling)`
  Defines the labeling scheme to use to draw the treemap.
  `void`
  `setLabelingContrastEnhancement(com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement contrastEnhancement)`
  `void`
  `setLabelingEffect(com.macrofocus.labeling.EnhancedLabel.Effect effect)`
  `void`
  `setLabelingEffectColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the effect color to use for drawing the labels.
  `void`
  `setLabelingEffectOpacity(Float opacity)`
  `void`
  `setLabelingFloat(Boolean labelingFloat)`
  `void`
  `setLabelingFont(com.macrofocus.igraphics.CPFont<Font> font)`
  Sets the font used for labeling.
  `void`
  `setLabelingForeground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the foreground color to use for drawing the labels.
  `void`
  `setLabelingHorizontalAlignment(int alignment)`
  `void`
  `setLabelingMinimumCharactersToDisplay(int minimumCharactersToDisplay)`
  `void`
  `setLabelingRendering(com.macrofocus.labeling.EnhancedLabel.Rendering rendering)`
  `void`
  `setLabelingResizeTextToFitShape(Boolean labelingResizeTextToFitShape)`
  `void`
  `setLabelingShrinkTextToFitShape(Boolean labelingShrinkTextToFitShape)`
  `void`
  `setLabelingVerticalAlignment(int alignment)`
  `void`
  `setNesting(Nesting nesting)`
  Defines the nesting to use to lay out the treemap.
  `void`
  `setNestingAmount(Double amount)`
  Sets the size of nested areas.
  `void`
  `setNestingBackground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the background color to use for drawing the nested areas.
  `void`
  `setOrdering(Ordering ordering)`
  Defines the ordering to use to lay out the treemap.
  `void`
  `setOrderingDirection(Ordering.SortOrder sortOrder)`
  Defines the ordering direction to use to lay out the treemap.
  `void`
  `setOrderingHorizontalVanishingPoint(Integer horizontalVanishingPoint)`
  `void`
  `setOrderingVerticalVanishingPoint(Integer verticalVanishingPoint)`
  `void`
  `setOverrideDefaults(boolean overrideDefaults)`
  Sets whether the default settings should be overridden by these settings
  `void`
  `setProperty(TreeMapFieldSettings.PropertyType key, Object value)`
  Sets the value of the specified property.
  `void`
  `setScale(Scale scale)`
  Defines the scaling scheme to use to project values the treemap.
  `void`
  `setShowLabel(boolean show)`
  Sets whether the label of the specified field should be displayed or no in the popup.
  `void`
  `setTooltipFont(com.macrofocus.igraphics.CPFont<Font> font)`
  Sets the font used for labeling the tooltips.
  `void`
  `setTooltipForeground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the foreground color to use for drawing the tooltips.
  `void`
  `setTooltipRendering(com.macrofocus.labeling.EnhancedLabel.Rendering rendering)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### algorithm

    protected final MutableSingleSelection<Algorithm> algorithm

  - ### borderThickness

    protected final MutableBoundedInterval borderThickness

  - ### labelingEffect

    public MutableProperty<com.macrofocus.labeling.EnhancedLabel.Effect> labelingEffect

  - ### labelingHorizontalAlignment

    public MutableProperty<Integer> labelingHorizontalAlignment

  - ### labelingVerticalAlignment

    public MutableProperty<Integer> labelingVerticalAlignment

  - ### labelingRendering

    public MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering> labelingRendering

  - ### headerEffect

    public MutableProperty<com.macrofocus.labeling.EnhancedLabel.Effect> headerEffect

  - ### headerHorizontalAlignment

    public MutableProperty<Integer> headerHorizontalAlignment

  - ### headerVerticalAlignment

    public MutableProperty<Integer> headerVerticalAlignment

  - ### headerRendering

    public MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering> headerRendering

  - ### tooltipRendering

    public MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering> tooltipRendering

  - ### _algorithm

    protected MutableProperty<Algorithm> _algorithm

  - ### _aggregation

    protected MutableProperty<Aggregation> _aggregation

  - ### _scale

    protected MutableProperty<Scale> _scale

  - ### _nesting

    protected MutableProperty<Nesting> _nesting

  - ### _ordering

    protected MutableProperty<Ordering> _ordering

  - ### orderingDirection

    protected MutableProperty<Ordering.SortOrder> orderingDirection

  - ### orderingHorizontalVanishingPoint

    protected MutableProperty<Integer> orderingHorizontalVanishingPoint

  - ### orderingVerticalVanishingPoint

    protected MutableProperty<Integer> orderingVerticalVanishingPoint

  - ### _labeling

    protected MutableProperty<Labeling> _labeling

  - ### _labelingFont

    protected MutableProperty<com.macrofocus.igraphics.CPFont<Font>> _labelingFont

  - ### _labelingForeground

    protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>> _labelingForeground

  - ### _labelingBackground

    protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>> _labelingBackground

  - ### labelingMinimumCharactersToDisplay

    protected MutableProperty<Integer> labelingMinimumCharactersToDisplay

  - ### labelingEffectOpacity

    protected MutableProperty<Float> labelingEffectOpacity

  - ### labelingShrinkTextToFitShape

    protected MutableProperty<Boolean> labelingShrinkTextToFitShape

  - ### labelingResizeTextToFitShape

    protected MutableProperty<Boolean> labelingResizeTextToFitShape

  - ### labelingFloat

    protected MutableProperty<Boolean> labelingFloat

  - ### labelingContrastEnhancement

    protected MutableProperty<com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement> labelingContrastEnhancement

  - ### nestingAmount

    protected MutableProperty<Double> nestingAmount

  - ### nestingBackground

    protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>> nestingBackground

  - ### _headerFont

    protected MutableProperty<com.macrofocus.igraphics.CPFont<Font>> _headerFont

  - ### _headerForeground

    protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>> _headerForeground

  - ### _headerEffectColor

    protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>> _headerEffectColor

  - ### _headerBackground

    protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>> _headerBackground

  - ### headerMinimumCharactersToDisplay

    protected MutableProperty<Integer> headerMinimumCharactersToDisplay

  - ### headerEffectOpacity

    protected MutableProperty<Float> headerEffectOpacity

  - ### headerInsets

    protected MutableProperty<com.macrofocus.igraphics.Insets> headerInsets

  - ### tooltipFont

    protected MutableProperty<com.macrofocus.igraphics.CPFont<Font>> tooltipFont

  - ### tooltipForeground

    protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>> tooltipForeground

  - ### tooltipShowLabel

    protected MutableProperty<Boolean> tooltipShowLabel

  - ### borderColor

    protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>> borderColor

  - ### _borderThickness

    protected MutableProperty<Double> _borderThickness

  - ### format

    protected MutableProperty<com.macrofocus.format.CPFormat> format

  - ### colorMap

    protected MutableProperty<com.macrofocus.colormap.MutableColorMap> colorMap

- ## Constructor Details

  - ### DefaultTreeMapFieldSettings

    public DefaultTreeMapFieldSettings(com.macrofocus.igraphics.CPColorFactory<Color> colorFactory, com.macrofocus.igraphics.CPFontFactory<Font> fontFactory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory)

- ## Method Details

  - ### setProperty

    public void setProperty(TreeMapFieldSettings.PropertyType key, Object value)
    Sets the value of the specified property.
    Specified by:
      `setProperty` in interface `TreeMapFieldSettings<Color,Font>`
    Overrides:
      `setProperty` in class `AbstractTreeMapFieldSettings<Color,Font>`
    Parameters:
      `key` - the property name
      `value` - the value

  - ### getProperties

    public EnumProperties<TreeMapFieldSettings.PropertyType> getProperties()

  - ### getAlgorithmProperty

    public MutableProperty<Algorithm> getAlgorithmProperty()
    Description copied from interface: `TreeMapFieldSettings`
    Returns the algorithm to use to lay out the treemap.
    Returns:
      the algorithm to use
    See Also:
      - `AlgorithmFactory`

  - ### getAlgorithm

    public Algorithm getAlgorithm()
    Returns the algorithm to use to lay out the treemap.
    Returns:
      the algorithm to use
    See Also:
      - `AlgorithmFactory`

  - ### setAlgorithm

    public void setAlgorithm(Algorithm algorithm)
    Defines the algorithm to use to lay out the treemap.
    Parameters:
      `algorithm` - the algorithm to use
    See Also:
      - `AlgorithmFactory`

  - ### getAlgorithmSelection

    public MutableSingleSelection<Algorithm> getAlgorithmSelection()

  - ### getAggregationProperty

    public MutableProperty<Aggregation> getAggregationProperty()
    Returns the aggregation scheme to use to aggregate values of the treemap.
    Returns:
      athe aggregation scheme to use
    See Also:
      - `getAggregation()`
      - `AggregationFactory`

  - ### getAggregation

    public Aggregation getAggregation()
    Returns the aggregation scheme to use to aggregate values of the treemap.
    Returns:
      athe aggregation scheme to use
    See Also:
      - `getAggregation()`
      - `AggregationFactory`

  - ### setAggregation

    public void setAggregation(Aggregation aggregation)
    Defines the aggregation scheme to use to aggregate values of the treemap.
    Parameters:
      `aggregation` - the aggregation scheme to use
    See Also:
      - `getAggregation()`
      - `AggregationFactory`

  - ### getScaleProperty

    public MutableProperty<Scale> getScaleProperty()
    Returns the scaling scheme to use to project values the treemap.
    Returns:
      the scale scheme to use
    See Also:
      - `getScale()`
      - `ScaleFactory`

  - ### getScale

    public Scale getScale()
    Returns the scaling scheme to use to project values the treemap.
    Returns:
      the scale scheme to use
    See Also:
      - `getScale()`
      - `ScaleFactory`

  - ### setScale

    public void setScale(Scale scale)
    Defines the scaling scheme to use to project values the treemap.
    Parameters:
      `scale` - the scale scheme to use
    See Also:
      - `getScale()`
      - `ScaleFactory`

  - ### getNestingProperty

    public MutableProperty<Nesting> getNestingProperty()
    Returns the nesting to use to lay out the treemap.
    Returns:
      the nesting scheme to use
    See Also:
      - `getNesting()`
      - `NestingFactory`

  - ### getNesting

    public Nesting getNesting()
    Returns the nesting to use to lay out the treemap.
    Returns:
      the nesting scheme to use
    See Also:
      - `getNesting()`
      - `NestingFactory`

  - ### setNesting

    public void setNesting(Nesting nesting)
    Defines the nesting to use to lay out the treemap.
    Parameters:
      `nesting` - the nesting scheme to use
    See Also:
      - `getNesting()`
      - `NestingFactory`

  - ### getOrderingProperty

    public MutableProperty<Ordering> getOrderingProperty()
    Description copied from interface: `TreeMapFieldSettings`
    Returns the ordering to use to lay out the treemap.
    Returns:
      the ordering to use
    See Also:
      - `getOrdering()`
      - `OrderingFactory`

  - ### getOrdering

    public Ordering getOrdering()
    Returns the ordering to use to lay out the treemap.
    Returns:
      the ordering to use
    See Also:
      - `getOrdering()`
      - `OrderingFactory`

  - ### setOrdering

    public void setOrdering(Ordering ordering)
    Defines the ordering to use to lay out the treemap.
    Parameters:
      `ordering` - the ordering to use
    See Also:
      - `getOrdering()`
      - `OrderingFactory`

  - ### getOrderingDirectionProperty

    public MutableProperty<Ordering.SortOrder> getOrderingDirectionProperty()
    Description copied from interface: `TreeMapFieldSettings`
    Returns the ordering direction to use to lay out the treemap.
    Returns:
      the ordering to use
    See Also:
      - `getOrderingDirection()`

  - ### getOrderingDirection

    public Ordering.SortOrder getOrderingDirection()
    Description copied from interface: `TreeMapFieldSettings`
    Returns the ordering direction to use to lay out the treemap.
    Returns:
      the ordering to use
    See Also:
      - `getOrderingDirection()`

  - ### setOrderingDirection

    public void setOrderingDirection(Ordering.SortOrder sortOrder)
    Description copied from interface: `TreeMapFieldSettings`
    Defines the ordering direction to use to lay out the treemap.
    Parameters:
      `sortOrder` - the ordering direction to use
    See Also:
      - `()`

  - ### getOrderingVerticalVanishingPointProperty

    public MutableProperty<Integer> getOrderingVerticalVanishingPointProperty()

  - ### getOrderingVerticalVanishingPoint

    public Integer getOrderingVerticalVanishingPoint()

  - ### setOrderingVerticalVanishingPoint

    public void setOrderingVerticalVanishingPoint(Integer verticalVanishingPoint)

  - ### getOrderingHorizontalVanishingPointProperty

    public MutableProperty<Integer> getOrderingHorizontalVanishingPointProperty()

  - ### getOrderingHorizontalVanishingPoint

    public Integer getOrderingHorizontalVanishingPoint()

  - ### setOrderingHorizontalVanishingPoint

    public void setOrderingHorizontalVanishingPoint(Integer horizontalVanishingPoint)

  - ### getLabelingProperty

    public MutableProperty<Labeling> getLabelingProperty()
    Returns the labeling scheme to use to draw the treemap.
    Returns:
      the labeling scheme to use
    See Also:
      - `getLabeling()`
      - `LabelingFactory`

  - ### getLabeling

    public Labeling getLabeling()
    Returns the labeling scheme to use to draw the treemap.
    Returns:
      the labeling scheme to use
    See Also:
      - `getLabeling()`
      - `LabelingFactory`

  - ### setLabeling

    public void setLabeling(Labeling labeling)
    Defines the labeling scheme to use to draw the treemap.
    Parameters:
      `labeling` - the labeling scheme to use
    See Also:
      - `getLabeling()`
      - `LabelingFactory`

  - ### getLabelingFontProperty

    public MutableProperty<com.macrofocus.igraphics.CPFont<Font>> getLabelingFontProperty()
    Returns the font used for labeling.
    Returns:
      the font to be used
    See Also:
      - `getLabelingFont()`

  - ### getLabelingFont

    public com.macrofocus.igraphics.CPFont<Font> getLabelingFont()
    Returns the font used for labeling.
    Returns:
      the font to be used
    See Also:
      - `getLabelingFont()`

  - ### setLabelingFont

    public void setLabelingFont(com.macrofocus.igraphics.CPFont<Font> font)
    Sets the font used for labeling.
    Parameters:
      `font` - the font to be used
    See Also:
      - `getLabelingFont()`

  - ### getLabelingForegroundProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getLabelingForegroundProperty()
    Returns the foreground color to use for drawing the labels.
    Returns:
      the color to be used
    See Also:
      - `getLabelingForeground()`

  - ### getLabelingForeground

    public com.macrofocus.igraphics.CPColor<Color> getLabelingForeground()
    Returns the foreground color to use for drawing the labels.
    Returns:
      the color to be used
    See Also:
      - `getLabelingForeground()`

  - ### setLabelingForeground

    public void setLabelingForeground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the foreground color to use for drawing the labels.
    Parameters:
      `color` - the color to be used
    See Also:
      - `getLabelingForeground()`

  - ### getLabelingEffectColorProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getLabelingEffectColorProperty()
    Returns the effect color to use for drawing the labels.
    Returns:
      the color to be used
    See Also:
      - `getLabelingEffectColor()`

  - ### getLabelingEffectColor

    public com.macrofocus.igraphics.CPColor<Color> getLabelingEffectColor()
    Returns the effect color to use for drawing the labels.
    Returns:
      the color to be used
    See Also:
      - `getLabelingEffectColor()`

  - ### setLabelingEffectColor

    public void setLabelingEffectColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the effect color to use for drawing the labels.
    Parameters:
      `color` - the color to be used
    See Also:
      - `getLabelingEffectColor()`

  - ### getLabelingEffectProperty

    public MutableProperty<com.macrofocus.labeling.EnhancedLabel.Effect> getLabelingEffectProperty()

  - ### getLabelingEffect

    public com.macrofocus.labeling.EnhancedLabel.Effect getLabelingEffect()

  - ### setLabelingEffect

    public void setLabelingEffect(com.macrofocus.labeling.EnhancedLabel.Effect effect)

  - ### getLabelingHorizontalAlignmentProperty

    public MutableProperty<Integer> getLabelingHorizontalAlignmentProperty()

  - ### getLabelingHorizontalAlignment

    public int getLabelingHorizontalAlignment()

  - ### setLabelingHorizontalAlignment

    public void setLabelingHorizontalAlignment(int alignment)

  - ### getLabelingVerticalAlignmentProperty

    public MutableProperty<Integer> getLabelingVerticalAlignmentProperty()

  - ### getLabelingVerticalAlignment

    public int getLabelingVerticalAlignment()

  - ### setLabelingVerticalAlignment

    public void setLabelingVerticalAlignment(int alignment)

  - ### getLabelingRenderingProperty

    public MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering> getLabelingRenderingProperty()

  - ### getLabelingRendering

    public com.macrofocus.labeling.EnhancedLabel.Rendering getLabelingRendering()

  - ### setLabelingRendering

    public void setLabelingRendering(com.macrofocus.labeling.EnhancedLabel.Rendering rendering)

  - ### getLabelingMinimumCharactersToDisplayProperty

    public MutableProperty<Integer> getLabelingMinimumCharactersToDisplayProperty()

  - ### getLabelingMinimumCharactersToDisplay

    public Integer getLabelingMinimumCharactersToDisplay()

  - ### setLabelingMinimumCharactersToDisplay

    public void setLabelingMinimumCharactersToDisplay(int minimumCharactersToDisplay)

  - ### getLabelingEffectOpacityProperty

    public MutableProperty<Float> getLabelingEffectOpacityProperty()

  - ### getLabelingEffectOpacity

    public Float getLabelingEffectOpacity()

  - ### setLabelingEffectOpacity

    public void setLabelingEffectOpacity(Float opacity)

  - ### getLabelingShrinkTextToFitShapeProperty

    public MutableProperty<Boolean> getLabelingShrinkTextToFitShapeProperty()

  - ### getLabelingShrinkTextToFitShape

    public Boolean getLabelingShrinkTextToFitShape()

  - ### setLabelingShrinkTextToFitShape

    public void setLabelingShrinkTextToFitShape(Boolean labelingShrinkTextToFitShape)

  - ### getLabelingResizeTextToFitShapeProperty

    public MutableProperty<Boolean> getLabelingResizeTextToFitShapeProperty()

  - ### getLabelingResizeTextToFitShape

    public Boolean getLabelingResizeTextToFitShape()

  - ### setLabelingResizeTextToFitShape

    public void setLabelingResizeTextToFitShape(Boolean labelingResizeTextToFitShape)

  - ### getLabelingFloatProperty

    public MutableProperty<Boolean> getLabelingFloatProperty()

  - ### getLabelingFloat

    public Boolean getLabelingFloat()

  - ### setLabelingFloat

    public void setLabelingFloat(Boolean labelingFloat)

  - ### getLabelingContrastEnhancementProperty

    public MutableProperty<com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement> getLabelingContrastEnhancementProperty()

  - ### getLabelingContrastEnhancement

    public com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement getLabelingContrastEnhancement()

  - ### setLabelingContrastEnhancement

    public void setLabelingContrastEnhancement(com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement contrastEnhancement)

  - ### getNestingAmountProperty

    public MutableProperty<Double> getNestingAmountProperty()
    Description copied from interface: `TreeMapFieldSettings`
    Returns the size of the nested areas.
    Returns:
      the amount to be used
    See Also:
      - `TreeMapFieldSettings.getNestingAmount()`

  - ### getNestingAmount

    public Double getNestingAmount()
    Description copied from interface: `TreeMapFieldSettings`
    Returns the size of the nested areas.
    Returns:
      the amount to be used
    See Also:
      - `TreeMapFieldSettings.getNestingAmount()`

  - ### setNestingAmount

    public void setNestingAmount(Double amount)
    Description copied from interface: `TreeMapFieldSettings`
    Sets the size of nested areas.
    Parameters:
      `amount` - the amount to be used
    See Also:
      - `TreeMapFieldSettings.getNestingAmount()`

  - ### getNestingBackgroundProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getNestingBackgroundProperty()
    Description copied from interface: `TreeMapFieldSettings`
    Returns the background color to use for drawing the nested areas.
    Returns:
      the color to be used
    See Also:
      - `TreeMapFieldSettings.getNestingBackground()`

  - ### getNestingBackground

    public com.macrofocus.igraphics.CPColor<Color> getNestingBackground()
    Description copied from interface: `TreeMapFieldSettings`
    Returns the background color to use for drawing the nested areas.
    Returns:
      the color to be used
    See Also:
      - `TreeMapFieldSettings.getNestingBackground()`

  - ### setNestingBackground

    public void setNestingBackground(com.macrofocus.igraphics.CPColor<Color> color)
    Description copied from interface: `TreeMapFieldSettings`
    Sets the background color to use for drawing the nested areas.
    Parameters:
      `color` - the color to be used
    See Also:
      - `TreeMapFieldSettings.getNestingBackground()`

  - ### getHeaderFontProperty

    public MutableProperty<com.macrofocus.igraphics.CPFont<Font>> getHeaderFontProperty()
    Returns the font used for labeling the headings.
    Returns:
      the font to be used
    See Also:
      - `TreeMapFieldSettings.getHeaderFont()`

  - ### getHeaderFont

    public com.macrofocus.igraphics.CPFont<Font> getHeaderFont()
    Description copied from interface: `TreeMapFieldSettings`
    Returns the font used for labeling the headings.
    Returns:
      the font to be used
    See Also:
      - `TreeMapFieldSettings.getHeaderFont()`

  - ### setHeaderFont

    public void setHeaderFont(com.macrofocus.igraphics.CPFont<Font> font)
    Sets the font used for labeling the headings.
    Parameters:
      `font` - the font to be used
    See Also:
      - `TreeMapFieldSettings.getHeaderFont()`

  - ### getHeaderForegroundProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getHeaderForegroundProperty()
    Returns the foreground color to use for drawing the headers.
    Returns:
      the color to be used
    See Also:
      - `TreeMapFieldSettings.getHeaderForeground()`

  - ### getHeaderForeground

    public com.macrofocus.igraphics.CPColor<Color> getHeaderForeground()
    Returns the foreground color to use for drawing the headers.
    Returns:
      the color to be used
    See Also:
      - `TreeMapFieldSettings.getHeaderForeground()`

  - ### setHeaderForeground

    public void setHeaderForeground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the foreground color to use for drawing the headers.
    Parameters:
      `color` - the color to be used
    See Also:
      - `TreeMapFieldSettings.getHeaderForeground()`

  - ### getHeaderBackgroundProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getHeaderBackgroundProperty()
    Returns the background color to use for drawing the headers.
    Returns:
      the color to be used
    See Also:
      - `TreeMapFieldSettings.getHeaderBackground()`

  - ### getHeaderBackground

    public com.macrofocus.igraphics.CPColor<Color> getHeaderBackground()
    Returns the background color to use for drawing the headers.
    Returns:
      the color to be used
    See Also:
      - `TreeMapFieldSettings.getHeaderBackground()`

  - ### setHeaderBackground

    public void setHeaderBackground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the background color to use for drawing the headers.
    Parameters:
      `color` - the color to be used
    See Also:
      - `TreeMapFieldSettings.getHeaderBackground()`

  - ### getHeaderEffectColorProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getHeaderEffectColorProperty()
    Returns the effect color to use for drawing the headers.
    Returns:
      the color to be used
    See Also:
      - `TreeMapFieldSettings.getHeaderEffectColor()`

  - ### getHeaderEffectColor

    public com.macrofocus.igraphics.CPColor<Color> getHeaderEffectColor()
    Returns the effect color to use for drawing the headers.
    Returns:
      the color to be used
    See Also:
      - `TreeMapFieldSettings.getHeaderEffectColor()`

  - ### setHeaderEffectColor

    public void setHeaderEffectColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the background color to use for drawing the headers.
    Parameters:
      `color` - the color to be used
    See Also:
      - `TreeMapFieldSettings.getHeaderEffectColor()`

  - ### getHeaderEffectProperty

    public MutableProperty<com.macrofocus.labeling.EnhancedLabel.Effect> getHeaderEffectProperty()

  - ### getHeaderEffect

    public com.macrofocus.labeling.EnhancedLabel.Effect getHeaderEffect()

  - ### setHeaderEffect

    public void setHeaderEffect(com.macrofocus.labeling.EnhancedLabel.Effect effect)

  - ### getHeaderHorizontalAlignmentProperty

    public MutableProperty<Integer> getHeaderHorizontalAlignmentProperty()

  - ### getHeaderHorizontalAlignment

    public Integer getHeaderHorizontalAlignment()

  - ### setHeaderHorizontalAlignment

    public void setHeaderHorizontalAlignment(Integer alignment)

  - ### getHeaderVerticalAlignmentProperty

    public MutableProperty<Integer> getHeaderVerticalAlignmentProperty()

  - ### getHeaderVerticalAlignment

    public Integer getHeaderVerticalAlignment()

  - ### setHeaderVerticalAlignment

    public void setHeaderVerticalAlignment(Integer alignment)

  - ### getHeaderRenderingProperty

    public MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering> getHeaderRenderingProperty()

  - ### getHeaderRendering

    public com.macrofocus.labeling.EnhancedLabel.Rendering getHeaderRendering()

  - ### setHeaderRendering

    public void setHeaderRendering(com.macrofocus.labeling.EnhancedLabel.Rendering rendering)

  - ### getHeaderMinimumCharactersToDisplayProperty

    public MutableProperty<Integer> getHeaderMinimumCharactersToDisplayProperty()

  - ### getHeaderMinimumCharactersToDisplay

    public Integer getHeaderMinimumCharactersToDisplay()

  - ### setHeaderMinimumCharactersToDisplay

    public void setHeaderMinimumCharactersToDisplay(Integer minimumCharactersToDisplay)

  - ### getHeaderEffectOpacityProperty

    public MutableProperty<Float> getHeaderEffectOpacityProperty()

  - ### getHeaderEffectOpacity

    public Float getHeaderEffectOpacity()

  - ### setHeaderEffectOpacity

    public void setHeaderEffectOpacity(Float opacity)

  - ### getHeaderInsetsProperty

    public MutableProperty<com.macrofocus.igraphics.Insets> getHeaderInsetsProperty()

  - ### getHeaderInsets

    public com.macrofocus.igraphics.Insets getHeaderInsets()

  - ### setHeaderInsets

    public void setHeaderInsets(com.macrofocus.igraphics.Insets insets)

  - ### getTooltipFontProperty

    public MutableProperty<com.macrofocus.igraphics.CPFont<Font>> getTooltipFontProperty()
    Returns the font used for labeling the tooltips.
    Returns:
      the font to be used
    See Also:
      - `TreeMapFieldSettings.getTooltipFont()`

  - ### getTooltipFont

    public com.macrofocus.igraphics.CPFont<Font> getTooltipFont()
    Returns the font used for labeling the tooltips.
    Returns:
      the font to be used
    See Also:
      - `TreeMapFieldSettings.getTooltipFont()`

  - ### setTooltipFont

    public void setTooltipFont(com.macrofocus.igraphics.CPFont<Font> font)
    Sets the font used for labeling the tooltips.
    Parameters:
      `font` - the font to be used
    See Also:
      - `TreeMapFieldSettings.getTooltipFont()`

  - ### getTooltipForegroundProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getTooltipForegroundProperty()
    Returns the foreground color to use for drawing the tooltips.
    Returns:
      the color to be used
    See Also:
      - `TreeMapFieldSettings.getTooltipForeground()`

  - ### getTooltipForeground

    public com.macrofocus.igraphics.CPColor<Color> getTooltipForeground()
    Returns the foreground color to use for drawing the tooltips.
    Returns:
      the color to be used
    See Also:
      - `TreeMapFieldSettings.getTooltipForeground()`

  - ### setTooltipForeground

    public void setTooltipForeground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the foreground color to use for drawing the tooltips.
    Parameters:
      `color` - the color to be used
    See Also:
      - `TreeMapFieldSettings.getTooltipForeground()`

  - ### getTooltipRenderingProperty

    public MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering> getTooltipRenderingProperty()

  - ### getTooltipRendering

    public com.macrofocus.labeling.EnhancedLabel.Rendering getTooltipRendering()

  - ### setTooltipRendering

    public void setTooltipRendering(com.macrofocus.labeling.EnhancedLabel.Rendering rendering)

  - ### getBorderColorProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getBorderColorProperty()
    Returns the color to use for drawing the borders.
    Returns:
      the color to be used
    See Also:
      - `TreeMapFieldSettings.getBorderColor()`

  - ### getBorderColor

    public com.macrofocus.igraphics.CPColor<Color> getBorderColor()
    Returns the color to use for drawing the borders.
    Returns:
      the color to be used
    See Also:
      - `TreeMapFieldSettings.getBorderColor()`

  - ### setBorderColor

    public void setBorderColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the color to use for drawing the borders.
    Parameters:
      `color` - the color to be used
    See Also:
      - `TreeMapFieldSettings.getBorderColor()`

  - ### getBorderThicknessInterval

    public MutableBoundedInterval getBorderThicknessInterval()
    Description copied from interface: `TreeMapFieldSettings`
    Returns the thickness used for drawing the borders.
    Returns:
      the height
    See Also:
      - `TreeMapFieldSettings.getBorderThickness()`

  - ### getBorderThickness

    public double getBorderThickness()
    Returns the thickness used for drawing the borders.
    Returns:
      the height
    See Also:
      - `TreeMapFieldSettings.getBorderThickness()`

  - ### setBorderThickness

    public void setBorderThickness(double value)
    Sets the thickness used for drawing the borders.
    Parameters:
      `value` - the height
    See Also:
      - `TreeMapFieldSettings.getBorderThickness()`

  - ### getFormatProperty

    public MutableProperty<com.macrofocus.format.CPFormat> getFormatProperty()
    Description copied from interface: `TreeMapFieldSettings`
    Gets the format used to display values of the specified column.
    Returns:
      the format to be used.

  - ### getFormat

    public com.macrofocus.format.CPFormat getFormat()
    Description copied from interface: `TreeMapFieldSettings`
    Gets the format used to display values of the specified column.
    Returns:
      the format to be used.

  - ### setFormat

    public void setFormat(com.macrofocus.format.CPFormat format)
    Description copied from interface: `TreeMapFieldSettings`
    Sets the format used to display values of the specified column.
    Parameters:
      `format` - the format to be used.

  - ### getShowLabelProperty

    public MutableProperty<Boolean> getShowLabelProperty()
    Description copied from interface: `TreeMapFieldSettings`
    Tells whether the label of the specified field should be shown in the popup.
    Returns:
      true if it should be displayed, false otherwise.

  - ### getShowLabel

    public boolean getShowLabel()
    Description copied from interface: `TreeMapFieldSettings`
    Tells whether the label of the specified field should be shown in the popup.
    Returns:
      true if it should be displayed, false otherwise.

  - ### setShowLabel

    public void setShowLabel(boolean show)
    Description copied from interface: `TreeMapFieldSettings`
    Sets whether the label of the specified field should be displayed or no in the popup.
    Parameters:
      `show` - true if it should be displayed, false otherwise.

  - ### getColorMapProperty

    public MutableProperty<com.macrofocus.colormap.MutableColorMap> getColorMapProperty()
    Description copied from interface: `TreeMapFieldSettings`
    Gets the color map for the specified column.
    Returns:
      the color map to use.

  - ### getColorMap

    public com.macrofocus.colormap.MutableColorMap getColorMap()
    Description copied from interface: `TreeMapFieldSettings`
    Gets the color map for the specified column.
    Returns:
      the color map to use.

  - ### setColorMap

    public void setColorMap(com.macrofocus.colormap.MutableColorMap colorMap)
    Description copied from interface: `TreeMapFieldSettings`
    Sets the color map to use for the specified column.
    Parameters:
      `colorMap` - the colorMap to use.

  - ### getProperty

    public Object getProperty(TreeMapFieldSettings.PropertyType key)
    Description copied from interface: `TreeMapFieldSettings`
    Gets the value of the specified property.
    Parameters:
      `key` - the property name
    Returns:
      the value

  - ### isDefaults

    public boolean isDefaults()
    Gets whether the default settings can be overridden by these settings
    Returns:
      true if the settings can be overridden, false otherwise

  - ### getOverrideDefaultsProperty

    public MutableProperty<Boolean> getOverrideDefaultsProperty()

  - ### isOverrideDefaults

    public boolean isOverrideDefaults()
    Gets whether the default settings are overridden by these settings
    Returns:
      true if this override the default settings, false otherwise

  - ### setOverrideDefaults

    public void setOverrideDefaults(boolean overrideDefaults)
    Sets whether the default settings should be overridden by these settings
    Parameters:
      `overrideDefaults` - true to override the default settings, false otherwise

  - ### getPropertyOverride

    public Object getPropertyOverride(TreeMapFieldSettings.PropertyType key)
    Description copied from interface: `TreeMapFieldSettings`
    Gets the value of the specified property. Only returns the overridden value, not the default value if it isn't overridden.
    Parameters:
      `key` - the property name
    Returns:
      the value

  - ### reset

    public void reset()

  - ### getDefaultTooltipFont

    public static <Font> com.macrofocus.igraphics.CPFont<Font> getDefaultTooltipFont(com.macrofocus.igraphics.CPFontFactory<Font> fontFactory)

  - ### getDefaultLabelingFont

    public static <Font> com.macrofocus.igraphics.CPFont<Font> getDefaultLabelingFont(com.macrofocus.igraphics.CPFontFactory<Font> fontFactory)

  - ### getDefaultHeaderFont

    public static <Font> com.macrofocus.igraphics.CPFont<Font> getDefaultHeaderFont(com.macrofocus.igraphics.CPFontFactory<Font> fontFactory)

  - ### createDefaultColorMap

    protected com.macrofocus.colormap.MutableColorMap createDefaultColorMap(TreeMapField field)